Bug 34603 - [bisected piketon]oglc vbo subcase basic.bufferdata regressed
Summary: [bisected piketon]oglc vbo subcase basic.bufferdata regressed
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: All Linux (All)
: high major
Assignee: Chris Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-23 02:27 UTC by fangxun
Modified: 2011-02-28 17:40 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
output of vbo/basic.bufferdata (7.54 KB, text/plain)
2011-02-23 20:40 UTC, fangxun
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fangxun 2011-02-23 02:27:57 UTC
System Environment:
--------------------------
Arch:           x86_64
Platform:       piketon 
Libdrm:         (master)2.4.23-14-ga697fb6acad7992c3d23bb6a663663694782eb7b
Mesa:           (master)94ccc31ba4f64ac480137fd90f1ded44d2072f6e
Xserver:      (master)xorg-server-1.9.99.902-3-g93a73
993708b1345c86ec3ec06b02ed236595673
Xf86_video_intel:  master)2.14.0-29-g9599fde65a0d8b7e7c85199346f7b620bdd8388d
Kernel: (drm-intel-next)f4166442e7533ca2668d639d939b1bbdb8e6b423


Bug detailed description:
-------------------------
This regression happens on piketon with mesa master branch. Bisect shows
e476e122207e6195a16a8c7d2cab90eeba227934 is first bad commit.
commit e476e122207e6195a16a8c7d2cab90eeba227934
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Tue Feb 8 20:01:10 2011 +0000
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Mon Feb 21 12:59:34 2011 +0000

    intel: Pack dynamic draws together

    Dynamic arrays have the tendency to be small and so allocating a bo for
    each one is overkill and we can exploit many efficiency gains by packing
    them together.
Comment 1 Chris Wilson 2011-02-23 12:53:17 UTC
What is the nature of the regression?
Comment 2 fangxun 2011-02-23 20:40:28 UTC
Created attachment 43740 [details]
output of vbo/basic.bufferdata 

The test result is changed from pass to fail. Pls see attached output file.
Comment 3 Chris Wilson 2011-02-24 04:31:51 UTC
commit 5ce0f7f10908a0636900bae783cb426a6c607673
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 24 12:29:51 2011 +0000

    intel: Reset the buffer offset after releasing reference to packed upload
    
    Fixes oglc/vbo(basic.bufferdata)
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=34603
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 4 fangxun 2011-02-28 17:40:14 UTC
Verified with mesa master commit ab824a0722d3a7ec14d559fc07d924fedf0534bc.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.